description: >
    Implement to provide entity manager configuration for the gpio based valve.

properties:
    - name: Type
      type: string
      description: >
          The type of configuration object.
      flags:
          - readonly
    - name: Name
      type: string
      description: >
          The name of the valve.
      flags:
          - readonly
    - name: OpenPinName
      type: string
      description: >
          The name of the GPIO pin that shows the valve's open status.
      flags:
          - readonly
    - name: OpenPolarity
      type: string
      description: >
          The GPIO polarity depicting valve's open status.
      flags:
          - readonly
    - name: OpenControlPinName
      type: string
      description: >
          The name of the GPIO pin that controls opening the valve.
      flags:
          - readonly
    - name: OpenControlValue
      type: boolean
      description: >
          The GPIO value to set to open the valve.
